%define name    k3b
%define version 0.8.1
%define release 3mdk

Summary:	CD-Burner for KDE3
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-0.8-i18n.tar.bz2
Patch0:		%{name}-0.8-dontrunk3bsetupatstartup.patch.bz2
Patch1:		%{name}-%{version}-k3bsetup-defaultpathandgroup.patch.bz2
Patch2:		k3b-0.8.1-cdda-dlopen.patch.bz2
URL: 		http://k3b.sourceforge.net
Requires: 	cdrecord mkisofs cdrdao /usr/bin/kdesu
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  libcdda0-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng3-devel
BuildRequires:  XFree86-devel
BuildRequires:	libmad0-devel
BuildRequires:  libarts-devel
BuildRequires:  libart_lgpl2-devel
BuildRequires:  libfam-devel
BuildRequires:  libaudiofile0-devel
BuildRequires:  libalsa2-devel
BuildRequires:  libvorbis0-devel
BuildRequires:  libnas2-devel

Obsoletes:	kde3-k3b
Provides:	kde3-k3b

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%patch0 -p1 -b .mdk
%patch1 -p1 -b .mdk
%patch2 -p1 -b .cdda-dlopen
)

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=/usr/lib/qt3 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 
%make 
)

(
cd $RPM_BUILD_DIR/%{name}/%{name}-0.8-i18n
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=/usr/lib/qt3 \
            --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make
)


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%makeinstall
)

(
cd $RPM_BUILD_DIR/%{name}/%{name}-0.8-i18n
%makeinstall
)

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl k3b "Applications/Archiving/Cd burning"  %buildroot/%_datadir/applnk/Multimedia/k3b.desktop %buildroot/%_menudir/k3b 
kdedesktop2mdkmenu.pl k3b "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/k3bsetup.desktop %buildroot/%_menudir/k3bsetup
#fix menu warning
echo >> %buildroot/%_menudir/k3b
cat %buildroot/%_menudir/k3bsetup >> %buildroot/%_menudir/k3b
rm -f %buildroot/%_menudir/k3bsetup
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/k3b.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/k3b.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/k3b.png %buildroot/%_miconsdir

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO 
%_bindir/*
%_menudir/*
%_datadir/applnk/Multimedia/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*

%dir %_datadir/apps/k3b/
%_datadir/apps/k3b/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/hicolor/64x64/apps/*.png
%_liconsdir/k3b.png
%_iconsdir/k3b.png
%_miconsdir/k3b.png

# until find_lang is fixed ?
%_datadir/locale/fo/LC_MESSAGES/k3bsetup*
%_datadir/locale/nb/LC_MESSAGES/k3bsetup*

%changelog
* Fri Mar 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- dlopen libcdda_{interface,paranoia}.so.0 instead of .so
- Requires libcdda0

* Sun Mar 02 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-2mdk
- fix i18n build ( thanx to rcc )
- change default group ( cdrecorder -> cdwriter ) and default 
  path ( /cdrom -> /mnt/cdrom ) in k3bsetup ( thx to rcc )

* Fri Feb 28 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-1mdk
- 0.8.1 ( lot of bugfixs )

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.8-2mdk
- add i18n ( now in a separate tarball )
- patch0 : dont run k3bsetup a startup

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Update

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.7.5-2mdk
- rebuild

* Sun Nov 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix the rpmlint warnings about the menu
- requires kdesu
- add a libdir to the configure call
- add a clean section
- drop id3lib requires

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.7.3-1mdk
- bump to 0.7.3

* Sat Sep 28 2002 Laurent Culioli <laurent@pschit.net> 0.7.1-1mdk
- bump to 0.7.1
- fix kdedesktop2mdkmenu.pl error

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.7-4mdk
- Rebuild with gcc3.2

* Sat Aug 03 2002 Laurent Culioli <laurent@pschit.net> 0.7-3mdk
- Rebuild against libvorbis

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.5mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.4mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.3mdk
- Fix conflict with k3b from kde2 (bug reported by 
  Charles A Edwards <eslrahc@bellsouth.net> thanks a lot )

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-0.pre2.1mdk
- Port to kde3


